<?php
#==============================================================================================#
#                                   Name  :  Imperial CHAT                                     #
#                               Made by  :  MaZaFaKa (___хакер___)                             #
#                                  MODED :  vipsds  (   BOT  )                                 #
#                                  ICQ  :  350502220 (vipsds)                                  #
#                                E-mai :  vipsds@wapnn.org                                     #
# По всем вопросам и дополнительным модам обращайтесь на выше указанные данные                 #
#==============================================================================================#
error_reporting(0);
include('start.php');
include("config.php");
include("./includes/constants/menu");
include("./includes/".$ver."/banned");

list($msec, $sec) = explode(chr(32), microtime());
$headtime = $sec + $msec;
$ttl="Магазин";
$ref = rand(1000, 9999);


///////////////////////////////////////////////////////////////////////
$smena = htmlspecialchars(mysql_escape_string(trim($_GET['smena'])));
$nick = htmlspecialchars(mysql_escape_string(trim($_POST['nick'])));
$text = htmlspecialchars(mysql_escape_string(trim($_POST['text'])));
///////////////////////////////////////////////////////////////////////


$cena = file("system/cena.dat");
$obmpost1 = trim($cena[0]);
$cenaa = trim($cena[1]);
$cenavip = trim($cena[2]);
$cenakill = trim($cena[3]);

switch($ver)
{
////////////////////////////////////////////////////////
//WML VERSION
////////////////////////////////////////////////////////
case 'wml':
header("Content-type: text/vnd.wap.wml; charset=utf-8");
header("Last-Modified: ".gmdate("D, d M Y H:i:s")." GMT");
header("Cache-Control: no-cache, must-revalidate");

//AUTH
$id = intval($_SESSION['id']);
$password = mysql_escape_string($_SESSION['password']);
$q = mysql_query("SELECT `level`, `monety` FROM `chat_users` WHERE `id` = '".$id."' AND `password` = '".md5($password)."';");
if(mysql_num_rows($q) == 0)
{
echo "<?xml version=\"1.0\" encoding=\"UTF-8\"?>";
echo "<!DOCTYPE wml PUBLIC \"-//WAPFORUM//DTD WML 1.3//EN\" \"http://www.wapforum.org/DTD/wml13.dtd\"><wml>";
echo "<card title=\"ERROR\" ontimer=\"/wml\"><timer value=\"15\"/><p align=\"left\">";
echo "<small>Ошибка авторизации!<br/>";
list($msec, $sec) = explode(chr(32), microtime());
echo "<br/>[".round(($sec+$msec)-$headtime,5)."] sec<br/>";
echo "</small></p></card></wml>";
exit();
}
//END AUTH

$level = mysql_result($q, 0);

//ONLINE
$online = time() + 60;
$update = mysql_query("UPDATE `chat_users` SET `time` = '".$online."', `place` = 0, `ip` = '".getenv('REMOTE_ADDR')."', `ua` = '".htmlspecialchars(getenv('HTTP_USER_AGENT'))."' WHERE `id` = '".$id."';");
//END ONLINE


echo "<?xml version=\"1.0\" encoding=\"UTF-8\"?>";
echo "<!DOCTYPE wml PUBLIC \"-//WAPFORUM//DTD WML 1.3//EN\" \"http://www.wapforum.org/DTD/wml13.dtd\"><wml>";
echo "<card title=\"$ttl\"><p align=\"left\">";

$query_users = @mysql_query("select * from `chat_users` where id='$id';");

$data = @mysql_fetch_array($query_users);
$monety= $data['monety'];
$komu= $data['login'];
//$status = $user['status'];
$level = $user['level'];

$ostatok= $monety-$cenavip;
$statusvip = "1";
$statuskill = "2";


if(isset($_GET['case']))
{
$case = $_GET['case'];
}
else
{
$case = "";
}


 switch($case)
{


default:
echo "В этом отделе нашего магазина вы можете купить себе <b>должность</b>!Должность <b>VIP</b> на данный момент стоит <b>$cenavip</b> монет.<br/>Должность <b>Киллер</b> на данный момент стоит <b>$cenakill</b> монет.<br/>";
if ($monety > 0)
{
echo "У вас монет: <u>".$monety."</u><br/>";
}
else
{
echo "У вас нет монет!Чтобы получить монеты сходите в <a href=\"obmen.php?".SID."&amp;ver=html\">банк</a> нашего чата,там вы сможете обменять ваши посты на монеты.<br/>";
}
if ($level == 0)
{
echo "Сейчас вы: <u>[нет должности]</u><br/>";
}
if ($level == 1)
{
echo "Сейчас вы: <u>VIP</u><br/>";
}
if ($level == 2)
{
echo "Сейчас вы: <u>Киллер</u><br/>";
}
if ($level == 3)
{
echo "Сейчас вы: <u>Модер</u><br/>";
}
if ($level == 4)
{
echo "Сейчас вы: <u>Админ</u><br/>";
}
if ($level == 5)
{
echo "Сейчас вы: <u>Супер-Админ</u><br/>";
}
echo "Доступные должности:<br/>";
if ($level < 1)
{
echo "<a href=\"/lichdolzhn.php?".SID."&amp;ver=wml&amp;case=statusvip\">VIP</a><br/>";
}
if ($level < 2)
{
echo "<a href=\"/lichdolzhn.php?".SID."&amp;ver=wml&amp;case=statuskill\">Киллер</a><br/>";
}
if ($level >= 2)
{
echo "[нет должностей]";
}
echo "<br/>";

break;


 case 'statusvip':


       if ($monety < $cenavip)

{echo "У вас не достаточно монет!<br/>";}
else
{
@mysql_query("UPDATE `chat_users` SET `monety`='".$ostatok."', `level`='".$statusvip."' WHERE id='$id'");
echo "Вы купили должность <b>VIP</b>!<br/>";
}
break;


 case 'statuskill':


     if ($monety < $cenakill)
{echo "У вас не достаточно монет!<br/>";}
else
{
@mysql_query("UPDATE `chat_users` SET `monety`='".$ostatok."', `level`='".$statuskill."' WHERE id='$id'");
echo "Вы купили должность <b>Киллер</b>!<br/>";
}
break;

}
echo "• <a href=\"/menu/wml\">В прихожую</a><br/>";
echo"$wmlfoot";
echo "</p></card></wml>";
break;
////////////////////////////////////////////////////////
//HTML VERSION
////////////////////////////////////////////////////////
case 'html':
header("Content-type: text/html; charset=utf-8");
header("Last-Modified: ".gmdate("D, d M Y H:i:s")." GMT");
header("Cache-Control: no-cache, must-revalidate");

//AUTH
$id = intval($_SESSION['id']);
$password = mysql_escape_string($_SESSION['password']);
$q = mysql_query("SELECT `level` FROM `chat_users` WHERE `id` = '".$id."' AND `password` = '".md5($password)."';");
if(mysql_num_rows($q) == 0)
{
echo "$css";
echo'<title>'.$ttl.'</title>';
echo'<div class="d3">Ошибка</div>';
echo "<div class=\"d5\">Ошибка авторизации!</div>";
echo'<div class="d3">';
echo"$sitefoot";
echo'</div>';
echo "</body></html>";
exit();
}
//END AUTH

$level = mysql_result($q, 0);

//ONLINE
$online = time() + 60;
$update = mysql_query("UPDATE `chat_users` SET `time` = '".$online."', `place` = 0, `ip` = '".getenv('REMOTE_ADDR')."', `ua` = '".htmlspecialchars(getenv('HTTP_USER_AGENT'))."' WHERE `id` = '".$id."';");
//END ONLINE

echo "$css";
echo'<title>'.$ttl.'</title>';
echo'<div class="d3">'.$ttl.'</div>';

$query_users = @mysql_query("select * from `chat_users` where id='$id';");

$data = @mysql_fetch_array($query_users);
$monety= $data['monety'];
$komu= $data['login'];
//$status = $user['status'];
$level = $user['level'];

$ostatok= $monety-$cenavip;
$statusvip = "1";
$statuskill = "2";



if(isset($_GET['case']))
{
$case = $_GET['case'];
}
else
{
$case = "";
}

 switch($case)
{


default:
echo "В этом отделе нашего магазина вы можете купить себе <b>должность</b>!Должность <b>VIP</b> на данный момент стоит <b>$cenavip</b> монет.<br/>Должность <b>Киллер</b> на данный момент стоит <b>$cenakill</b> монет.<br/>";
if ($monety > 0)
{
echo "У вас монет: <u>".$monety."</u><br/>";
}
else
{
echo "У вас нет монет!Чтобы получить монеты сходите в <a href=\"obmen.php?".SID."&amp;ver=html\">банк</a> нашего чата,там вы сможете обменять ваши посты на монеты.<br/>";
}
if ($level == 0)
{
echo "Сейчас вы: <u>[нет должности]</u><br/>";
}
if ($level == 1)
{
echo "Сейчас вы: <u>VIP</u><br/>";
}
if ($level == 2)
{
echo "Сейчас вы: <u>Киллер</u><br/>";
}
if ($level == 3)
{
echo "Сейчас вы: <u>Модер</u><br/>";
}
if ($level == 4)
{
echo "Сейчас вы: <u>Админ</u><br/>";
}
if ($level == 5)
{
echo "Сейчас вы: <u>Супер-Админ</u><br/>";
}
echo "Доступные должности:<br/>";
if ($level < 1)
{
echo "<a href=\"/lichdolzhn.php?".SID."&amp;ver=html&amp;case=statusvip\">VIP</a><br/>";
}
if ($level < 2)
{
echo "<a href=\"/lichdolzhn.php?".SID."&amp;ver=html&amp;case=statuskill\">Киллер</a><br/>";
}
if ($level >= 2)
{
echo "[нет должностей]";
}
echo "<br/>";

break;


 case 'statusvip':


   if ($monety < $cenavip)
{echo "У вас не достаточно монет!<br/>";}
else
{
@mysql_query("UPDATE `chat_users` SET `monety`='".$ostatok."', `level`='".$statusvip."' WHERE id='$id'");
echo "Вы купили должность <b>VIP</b>!<br/>";
}
break;


 case 'statuskill':

    if ($monety < $cenakill)
{echo "У вас не достаточно монет!<br/>";}
else
{
@mysql_query("UPDATE `chat_users` SET `monety`='".$ostatok."', `level`='".$statuskill."' WHERE id='$id'");
echo "Вы купили должность <b>Киллер</b>!<br/>";
}
break;

}

echo '<div class="d1">';
echo "• <a href=\"/menu/html\">В прихожую</a><br/>";
echo'</div>';
echo'<div class="d3">';
echo"$sitefoot";
echo'</div>';
echo "</body></html>";

break;
}
?>